custom_field.update
Update a custom field (required/options/facetable/label/pii). type/key/owner_entity are immutable (identity).
- Scope:
custom_fields.write - System: no
- Reachable from:
POST /v1/commands/custom_field.update(tenant credential) · MCP toolcustom_field.update· SDKclient.call('custom_field.update', …) - Events:
custom_field.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "facetable": { "type": "boolean" }, "key": { "minLength": 1, "type": "string" }, "label": { "anyOf": [ { "anyOf": [ { "type": "string" }, { "additionalProperties": { "type": "string" }, "propertyNames": { "type": "string" }, "type": "object" } ] }, { "type": "null" } ] }, "options": { "items": { "properties": { "key": { "minLength": 1, "type": "string" }, "label": { "type": "string" } }, "required": [ "key" ], "type": "object" }, "type": "array" }, "owner_entity": { "enum": [ "product", "cart", "cart_line", "cart_customer", "order", "order_line", "customer", "category", "store" ], "type": "string" }, "pii": { "anyOf": [ { "enum": [ "name", "email", "phone", "address", "postal_code", "tax_id", "other" ], "type": "string" }, { "type": "null" } ] }, "required": { "type": "boolean" } }, "required": [ "owner_entity", "key" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "definition_id": { "type": "string" } }, "required": [ "definition_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)